<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: PROGRESS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_p_r_o_g_r_e_s_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">PROGRESS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="progress_8h_source.html">progress.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0399eb78125961fc22085d4aac6b0d15"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a0399eb78125961fc22085d4aac6b0d15">class</a></td></tr>
<tr class="separator:a0399eb78125961fc22085d4aac6b0d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a911625119c23f07f008c2b6e0b9748d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a911625119c23f07f008c2b6e0b9748d5">target_window</a></td></tr>
<tr class="separator:a911625119c23f07f008c2b6e0b9748d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fcd374bc227866ee35dc07b6a6d20c4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a6fcd374bc227866ee35dc07b6a6d20c4">has_progress</a></td></tr>
<tr class="separator:a6fcd374bc227866ee35dc07b6a6d20c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7abb4766cd3f65c31f56279d7decff8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#ac7abb4766cd3f65c31f56279d7decff8">progress</a></td></tr>
<tr class="separator:ac7abb4766cd3f65c31f56279d7decff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f4dca6b48529c4d3dade0e8d46f4e43"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a6f4dca6b48529c4d3dade0e8d46f4e43">opacity</a></td></tr>
<tr class="separator:a6f4dca6b48529c4d3dade0e8d46f4e43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abff8258b539902f219c0b34c403d0f76"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec3_8h.html#a8f3024ca5c236a42cdab3747351a3511">Vec3Class</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#abff8258b539902f219c0b34c403d0f76">color</a></td></tr>
<tr class="separator:abff8258b539902f219c0b34c403d0f76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade86a07d1b8e910ce1af918c1e5a8683"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">Vec2Class</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#ade86a07d1b8e910ce1af918c1e5a8683">position</a></td></tr>
<tr class="separator:ade86a07d1b8e910ce1af918c1e5a8683"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e90d4c16be129dc83da1fe55ea04379"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">Vec2Class</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a4e90d4c16be129dc83da1fe55ea04379">size</a></td></tr>
<tr class="separator:a4e90d4c16be129dc83da1fe55ea04379"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af115413ba420d8fe35c15ef27f90f7ad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">Vec2Class</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#af115413ba420d8fe35c15ef27f90f7ad">margin</a></td></tr>
<tr class="separator:af115413ba420d8fe35c15ef27f90f7ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55aefd071649ac9dd8133e2d8a52d11f"><td class="memItemLeft" align="right" valign="top">SDL_Rect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a55aefd071649ac9dd8133e2d8a52d11f">rect</a></td></tr>
<tr class="separator:a55aefd071649ac9dd8133e2d8a52d11f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4718f355fd6ec3d4ab269d7055c8f855"><td class="memItemLeft" align="right" valign="top"><a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a4718f355fd6ec3d4ab269d7055c8f855">prev</a></td></tr>
<tr class="separator:a4718f355fd6ec3d4ab269d7055c8f855"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d60e8e01eae477b5d8af7e762f5d8b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a3d60e8e01eae477b5d8af7e762f5d8b5">next</a></td></tr>
<tr class="separator:a3d60e8e01eae477b5d8af7e762f5d8b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09bed13b66a4a5118ec654e837638e9b"><td class="memItemLeft" align="right" valign="top">int(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a09bed13b66a4a5118ec654e837638e9b">setup</a> )(<a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *self, char *filename)</td></tr>
<tr class="separator:a09bed13b66a4a5118ec654e837638e9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02dd5bde961c054eabc8c7122b56b744"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_r_o_g_r_e_s_s.html#a02dd5bde961c054eabc8c7122b56b744">draw</a> )(<a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *self)</td></tr>
<tr class="separator:a02dd5bde961c054eabc8c7122b56b744"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#_a0">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a0399eb78125961fc22085d4aac6b0d15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0399eb78125961fc22085d4aac6b0d15">&#9670;&nbsp;</a></span>class</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* class</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abff8258b539902f219c0b34c403d0f76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abff8258b539902f219c0b34c403d0f76">&#9670;&nbsp;</a></span>color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec3_8h.html#a8f3024ca5c236a42cdab3747351a3511">Vec3Class</a>* color</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a7">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a02dd5bde961c054eabc8c7122b56b744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02dd5bde961c054eabc8c7122b56b744">&#9670;&nbsp;</a></span>draw</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* draw(<a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *self)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a16">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a6fcd374bc227866ee35dc07b6a6d20c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fcd374bc227866ee35dc07b6a6d20c4">&#9670;&nbsp;</a></span>has_progress</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int has_progress</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a3">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="af115413ba420d8fe35c15ef27f90f7ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af115413ba420d8fe35c15ef27f90f7ad">&#9670;&nbsp;</a></span>margin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">Vec2Class</a>* margin</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a11">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a3d60e8e01eae477b5d8af7e762f5d8b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d60e8e01eae477b5d8af7e762f5d8b5">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a>* next</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a14">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a6f4dca6b48529c4d3dade0e8d46f4e43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f4dca6b48529c4d3dade0e8d46f4e43">&#9670;&nbsp;</a></span>opacity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float opacity</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a5">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="ade86a07d1b8e910ce1af918c1e5a8683"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade86a07d1b8e910ce1af918c1e5a8683">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">Vec2Class</a>* position</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a9">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a4718f355fd6ec3d4ab269d7055c8f855"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4718f355fd6ec3d4ab269d7055c8f855">&#9670;&nbsp;</a></span>prev</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a>* prev</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a13">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="ac7abb4766cd3f65c31f56279d7decff8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7abb4766cd3f65c31f56279d7decff8">&#9670;&nbsp;</a></span>progress</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float progress</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a4">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a55aefd071649ac9dd8133e2d8a52d11f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55aefd071649ac9dd8133e2d8a52d11f">&#9670;&nbsp;</a></span>rect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_Rect rect</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a12">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a09bed13b66a4a5118ec654e837638e9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09bed13b66a4a5118ec654e837638e9b">&#9670;&nbsp;</a></span>setup</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* setup(<a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *self, char *filename)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a15">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a4e90d4c16be129dc83da1fe55ea04379"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e90d4c16be129dc83da1fe55ea04379">&#9670;&nbsp;</a></span>size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">Vec2Class</a>* size</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a10">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<a id="a911625119c23f07f008c2b6e0b9748d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a911625119c23f07f008c2b6e0b9748d5">&#9670;&nbsp;</a></span>target_window</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a>* target_window</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#a2">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>.</dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>entities/progress/include/<a class="el" href="progress_8h_source.html">progress.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_p_r_o_g_r_e_s_s.html">PROGRESS</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
